// --------------------------------------------------------------------------------------
//
// RobStanzeMain.H                                                 Ulrich Mller 11.06.02
//                                                                 PCS1700   C++Builder 4
// Beschicken der Stanzmaschine mit Transportband 51 663
// durch einen Industry Robot (Knickarm- oder Sulenrobot) im Simultanbetrieb
//
// --------------------------------------------------------------------------------------

#ifndef RobStanzeMainH
#define RobStanzeMainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <syncobjs.hpp>           // --- fr TEvent ----
#include "FishFa30.h"

// ---------- TRobThread ---------------------------------------------------------

class TRobThread : public TThread
{
private:

protected:
    void __fastcall Execute();
public:
    __fastcall TRobThread(bool CreateSuspended);
};

// ------------- TStanzThread --------------------------------------------------------

class TStanzThread : public TThread
{
private:

protected:
    void __fastcall Execute();
public:
    __fastcall TStanzThread(bool CreateSuspended);
};

//------- ThreadMain ------------------------------------------------------------------

class TfrmThreadMain : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TLabel *lblStatusR;
    TButton *cmdAction;
    TButton *cmdEnde;
    TLabel *lblStatusS;
    void __fastcall cmdActionClick(TObject *Sender);
    void __fastcall cmdEndeClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:
    TRobThread *RobThread;
    TStanzThread *StanzThread;
    void __fastcall RobEnde(TObject * Sender);
    void __fastcall StanzEnde(TObject * Sender);
public:
    __fastcall TfrmThreadMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmThreadMain *frmThreadMain;
//---------------------------------------------------------------------------
#endif
